Bug 547342 - SELinux is preventing /bin/sed "write" access on fifo_file.
Summary: SELinux is preventing /bin/sed "write" access on fifo_file.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:aaebd7a5ff0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-14 12:47 UTC by Mihai Harpau
Modified: 2009-12-22 20:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-22 20:42:34 UTC
Type: ---


Attachments (Terms of Use)

Description Mihai Harpau 2009-12-14 12:47:06 UTC
Summary:

SELinux is preventing /bin/sed "write" access on fifo_file.

Detailed Description:

[sed has a permissive type (tuned_t). This access was not denied.]

SELinux denied access requested by sed. It is not expected that this access is
required by sed and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:system_r:tuned_t:s0
Target Context                unconfined_u:system_r:tuned_t:s0
Target Objects                fifo_file [ fifo_file ]
Source                        sed
Source Path                   /bin/sed
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           sed-4.2.1-4.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-56.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.6-166.fc12.x86_64 #1 SMP Wed
                              Dec 9 10:46:22 EST 2009 x86_64 x86_64
Alert Count                   6
First Seen                    Lu 14 dec 2009 12:08:26 +0000
Last Seen                     Lu 14 dec 2009 14:40:59 +0000
Local ID                      392e6de0-9a3c-4bd0-b57c-4e72600f5624
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1260794459.389:123): avc:  denied  { write } for  pid=9890 comm="sed" path="pipe:[880925]" dev=pipefs ino=880925 scontext=unconfined_u:system_r:tuned_t:s0 tcontext=unconfined_u:system_r:tuned_t:s0 tclass=fifo_file

node=(removed) type=SYSCALL msg=audit(1260794459.389:123): arch=c000003e syscall=1 success=yes exit=484 a0=1 a1=7f283ff9f000 a2=1e4 a3=40 items=0 ppid=2901 pid=9890 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=1 comm="sed" exe="/bin/sed" subj=unconfined_u:system_r:tuned_t:s0 key=(null)



Hash String generated from  selinux-policy-3.6.32-56.fc12,catchall,sed,tuned_t,tuned_t,fifo_file,write
audit2allow suggests:

#============= tuned_t ==============
allow tuned_t self:fifo_file write;

Comment 1 Daniel Walsh 2009-12-14 12:58:26 UTC
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.32-59.fc12.noarch

Comment 2 Fedora Update System 2009-12-16 13:55:45 UTC
selinux-policy-3.6.32-59.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-59.fc12

Comment 3 Fedora Update System 2009-12-18 04:43:53 UTC
selinux-policy-3.6.32-59.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13384


Note You need to log in before you can comment on or make changes to this bug.